#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	Class
Summary:	DBIx::Class - Extensible and flexible object <-> relational mapper
Summary(pl.UTF-8):	DBIx::Class - rozszerzalne i elastyczne wiązanie obiektów <-> relacji
Name:		perl-DBIx-Class
Version:	0.08250
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f65022a3d9480f3bb0610580dfdaf56
Patch0:		test.patch
URL:		http://search.cpan.org/dist/DBIx-Class/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Carp-Clan >= 6.0
BuildRequires:	perl-Class-Accessor-Grouped >= 0.10010
BuildRequires:	perl-Class-C3-Componentised >= 1.0009
BuildRequires:	perl-Class-Inspector >= 1.24
BuildRequires:	perl-Context-Preserve
BuildRequires:	perl-Config-Any >= 0.20
BuildRequires:	perl-DBD-SQLite >= 1.29
BuildRequires:	perl-DBI >= 1.605
BuildRequires:	perl-Data-Compare >= 1.22
BuildRequires:	perl-Data-Dumper-Concise >= 2.020
BuildRequires:	perl-Data-Page >= 2.00
BuildRequires:	perl-Devel-Cycle >= 1.10
BuildRequires:	perl-Devel-GlobalDestruction
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-File-Temp >= 0.22
BuildRequires:	perl-JSON-Any >= 1.18
BuildRequires:	perl-MRO-Compat >= 0.09
BuildRequires:	perl-Module-Find >= 0.06
BuildRequires:	perl-Moo >= 1.004002
BuildRequires:	perl-Path-Class >= 0.16
BuildRequires:	perl-SQL-Abstract >= 1.73
BuildRequires:	perl-SQL-Abstract-Limit >= 0.13
BuildRequires:	perl-SQL-Translator >= 0.11006
BuildRequires:	perl-Scope-Guard >= 0.03
BuildRequires:	perl-Sub-Name >= 0.04
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Exception >= 0.31
BuildRequires:	perl-Test-Memory-Cycle
BuildRequires:	perl-Test-Simple >= 0.92
BuildRequires:	perl-Test-Warn >= 0.21
BuildRequires:	perl-Text-CSV
BuildRequires:	perl-namespace-clean
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Only APR::UUID is available in PLD. And if it was we would still
# need only one of Data::UUID, Data::Uniqid, APR::UUID or UUID at any
# time to get full functionality
%define		_noautoreq_perl	Data::Uniqid UUID APR::UUID JSON DBD::Multi DBIC::SQL::Abstract

%description
DBIx::Class is a SQL to OOP mapper, inspired by the Class::DBI
framework, and meant to support compability with it, while
restructuring the insides, and making it possible to support some new
features like self-joins, distinct, group bys and more.

It's currently considered EXPERIMENTAL - bring this near a production
database at your own risk! The API is *not* fixed yet, although most
of the primitives should be good for the future and any API changes
will be posted to the mailing list before they're committed.

%description -l pl.UTF-8
DBIx::Class to klasa odwzorowująca SQL na OOP, zainspirowana
szkieletem Class::DBI, mająca obsługiwać kompatibilność z nim, ale
restrukturyzując wnętrzności i umożliwiając obsługę niektórych nowych
możliwości, takie jak "self-join", "distinct", "group by" i inne.

Ten moduł jest aktualnie uważany za EKSPERYMENTALNY - zbliżać go do
baz produkcyjnych można tylko na własne ryzyko! API nie zostało
jeszcze ustalone, choć większość prymitywów powinna być dobra na
przyszłość i każda zmiana API jest wysyłana na listę dyskusyjną przed
zatwierdzeniem.

%package -n perl-SQL-Translator-DBIx-Class
Summary:	DBIx::Class schema parser and file producer
Summary(pl.UTF-8):	Narzędzie do analizy schematów i tworzenia plików DBIx::Class
Group:		Development/Languages/Perl

%description -n perl-SQL-Translator-DBIx-Class
This package contains SQL::Translator (sqlfairy) parser for
DBIx::Class::Schema objects and producer for DBIx::Class files.

%description -n perl-SQL-Translator-DBIx-Class -l pl.UTF-8
Ten pakiet zawiera analizator SQL::Translator (sqlfairy) dla obiektów
DBIx::Class::Schema oraz generator plików DBIx::Class.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

# requires installed DBIx::Class of same version
%{__mv} t/storage/dbic_pretty.t{,.disabled}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DBIx/Class/{Schema,ResultSet}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/DBIx/*.pm
%{perl_vendorlib}/DBIx/Class
%{_mandir}/man3/DBIx*
%{_mandir}/man1/dbicadmin.*

%files -n perl-SQL-Translator-DBIx-Class
%defattr(644,root,root,755)
%{perl_vendorlib}/SQL/Translator/Parser/*
%{perl_vendorlib}/SQL/Translator/Producer/*
%{_mandir}/man3/SQL*
%changelog
* Sun Jan 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBIx-Class.git;a=log;h=master

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> f2ac0ba
- updated to 0.08250
- fixed formating of test sql statement
- updated BRs

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 31cbaf6
- up to 0.08196

* Sun May 09 2010 Adam Gołębiowski <adamg@pld-linux.org> d7f2461
- release 2

* Sat Nov 21 2009 sparky <sparky@pld-linux.org> 8b59844
- don't provide %{_mandir}/man1/ directory

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> b42b9f7
- updated to 0.08114
- added BR: perl-Data-Dumper-Concise for tests

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> d893cc2
- man files assigned to proper subpackages

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 63050b8
- updated to 0.08112

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> ddf96c7
- further BRs cleanup
- fixed previous commint comment

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> c33ed24
- updated to 0.08111
- cleaned up BRs

* Fri Feb 20 2009 radek <radek@pld-linux.org> b1f5d72
- release 2: vendorlib/DBIx/Class/ResultSet

* Fri Feb 20 2009 radek <radek@pld-linux.org> 56c77db
- version 0.08012

* Fri Jan 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 470df69
- sorted BRs

* Thu Jan 15 2009 Maciej Pijanka <agaran@pld-linux.org> fa30031
- missing BR

* Fri Dec 12 2008 radek <radek@pld-linux.org> 6de6ed6
- release 2: noautoreq DBIC::SQL::Abstract, turn off t/94versioning.t

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e842aa2
- up to 0.08010

* Sun Feb 17 2008 radek <radek@pld-linux.org> c808406
- version 0.08008

* Sun Jan 13 2008 radek <radek@pld-linux.org> bb2cc28
- version 0.08008

* Sun Sep 09 2007 radek <radek@pld-linux.org> bb41716
- noautoreq: DBD::Multi (used only by experimental *::DBI::Replication)

* Sun Sep 09 2007 radek <radek@pld-linux.org> 889ed4c
- don't BR: M::B, add dbicadmin

* Sun Sep 09 2007 radek <radek@pld-linux.org> 209a393
- version 0.08007, switched to EU::MM

